Oracle Solaris Third-Party Patch Update : libsoup (cve_2011_2524_directory_traversal)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- Directory traversal vulnerability in soup-uri.c in
SoupServer in libsoup before 2.35.4 allows remote
attackers to read arbitrary files via a %2e%2e (encoded
dot dot) in a URI. (CVE-2011-2524)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?88801815

Solution :

Upgrade to Solaris 11/11 SRU 11.4.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80677 ()

Bugtraq ID:

CVE ID: CVE-2011-2524

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now